package com.taover.repository.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)  
@Target(ElementType.TYPE)
@Documented
public @interface TableSharding {
	/**
	 * 分片键
	 * @return
	 */
	String column();
	
	/**
	 * 分片类型
	 * @return
	 */
	TableShardingType type();
}
