package com.taover.repository.exception;

public class NoShardingKeyException extends RuntimeException {
	private static final long serialVersionUID = 1L;	
	private String shardingColumn;

	public NoShardingKeyException(String shardingColumn) {
		super("not found shardingcolumn["+shardingColumn+"].");
	}

	public String getShardingColumn() {
		return shardingColumn;
	}

	public void setShardingColumn(String shardingColumn) {
		this.shardingColumn = shardingColumn;
	}
}
