package com.taover.repository.spring.autoconfigure;

import javax.annotation.Resource;

import org.springframework.boot.autoconfigure.AutoConfigureAfter;
import org.springframework.boot.autoconfigure.jdbc.JdbcTemplateAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.core.JdbcTemplate;

import com.taover.repository.jdbctemplate.JdbcTemplateWrapperTenant;
import com.taover.repository.jdbctemplate.JdbcTemplateWrapperTenantImpl;

@Configuration
@AutoConfigureAfter(JdbcTemplateAutoConfiguration.class)
public class TaoverRepositoryAutoConfiguration {
	@Resource
	private JdbcTemplate jdbcTemplate;
	
	@Bean
	public JdbcTemplateWrapperTenant jdbcTemplateWrapperTenant() {
		return new JdbcTemplateWrapperTenantImpl(this.jdbcTemplate);
	}
}
