package com.taover.repository.test.repository;

import java.io.Serializable;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import com.taover.repository.annotation.TableSharding;
import com.taover.repository.annotation.TableShardingType;

/**
 * @version 1.0.0
 */
@Entity
@Table(name="common_region", catalog="")
//@TableSharding(type=TableShardingType.MULTI_DB_MULTI_TABLE, column="id")
public class CommonRegionEntity implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	
	/**
	 * 主键ID
	 */
	@Id
	@Column(name="region_id")
	private java.lang.Long regionId;
		
	public java.lang.Long getRegionId(){
		return regionId;
	}	
	public void setRegionId(java.lang.Long regionId){
		this.regionId = regionId;
	}	
	
	/**
	 * 父级ID
	 */
	@Column(name="parent_id")
	private java.lang.Long parentId;
		
	public java.lang.Long getParentId(){
		return parentId;
	}	
	public void setParentId(java.lang.Long parentId){
		this.parentId = parentId;
	}	
	
	/**
	 * 地区名称
	 */
	@Column(name="region_name")
	private java.lang.String regionName;
		
	public java.lang.String getRegionName(){
		return regionName;
	}	
	public void setRegionName(java.lang.String regionName){
		this.regionName = regionName;
	}	
	
	/**
	 * 地区级别
	 */
	@Column(name="region_type")
	private java.lang.Integer regionType;
		
	public java.lang.Integer getRegionType(){
		return regionType;
	}	
	public void setRegionType(java.lang.Integer regionType){
		this.regionType = regionType;
	}	
	
	/**
	 * 地区编码
	 */
	@Column(name="region_code")
	private java.lang.String regionCode;
		
	public java.lang.String getRegionCode(){
		return regionCode;
	}	
	public void setRegionCode(java.lang.String regionCode){
		this.regionCode = regionCode;
	}	
	
	/**
	 * 大地区
	 */
	@Column(name="large_area")
	private java.lang.String largeArea;
		
	public java.lang.String getLargeArea(){
		return largeArea;
	}	
	public void setLargeArea(java.lang.String largeArea){
		this.largeArea = largeArea;
	}	

	public transient List<CommonRegionEntity> children = null;

	public List<CommonRegionEntity> getChildren() {
		return children;
	}
	public void setChildren(List<CommonRegionEntity> children) {
		this.children = children;
	}
	
	@Override
	public String toString() {
		return "CommonRegionEntity: [regionId="+regionId+",parentId="+parentId+",regionName="+regionName+",regionType="+regionType+",regionCode="+regionCode+",largeArea="+largeArea+"]";
	}
 }
